#version 450
layout(std430, binding=0) buffer m {
	mat4 model[];
};

in vec3 in_vertex;
in vec2 in_texcoord;
uniform mat4 vp;
out vec4 gl_Position;
out vec2 f_texcoord;

void main(void) {
	gl_Position = (vp * model[gl_InstanceID]) * vec4(in_vertex, 1.0);
	f_texcoord = in_texcoord;
}
